Summary: DPO tools
Name: cued-dpo-tools
Version: 2
Release: 24
BuildRoot: %{_tmppath}/%{name}-%{version}-build
License: CUED
Packager: John Sloan <js138@eng.cam.ac.uk>
Group: CUED
Requires: te_mpost

Source0: cued-dpo-tools.tar.gz
Source1: opac.tar.gz

%description
DPO command line tools and utilities.

%prep
%setup -n %{name}
/usr/bin/gzip -dc %{SOURCE1} | tar -xvvf -
%build
## run-on-terminal
#pushd run-on-terminal
#xmkmf
#make
#popd
%install
#mkdir -p $RPM_BUILD_ROOT/lib
#mkdir -p $RPM_BUILD_ROOT/lib64
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/usr/local/%{_lib}
mkdir -p $RPM_BUILD_ROOT/usr/local/include
mkdir -p $RPM_BUILD_ROOT/usr/local/man/man1
#mkdir -p $RPM_BUILD_ROOT/knoppeng/server/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
# install crons, scripts, manpages.
make INST_ROOT=$RPM_BUILD_ROOT install
# other stuff
#install -m 0755 run-on-terminal/run-on-terminal $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 scripts/sysnews $RPM_BUILD_ROOT/usr/local/bin
pushd $RPM_BUILD_ROOT/usr/local/bin
ln -s /usr/local/bin/sysnews events
popd
#install -m 0755 knoppix-scripts/passwdfile.sync $RPM_BUILD_ROOT/knoppeng/server/sbin
pushd opac
make libpasswd
install -m 0755 libpasswd $RPM_BUILD_ROOT/usr/local/%{_lib}
popd
pushd psheader
make
make INSTALLROOT=$RPM_BUILD_ROOT install
popd
# Metacard
install	-m 0755 bin/mc $RPM_BUILD_ROOT/usr/local/bin
## cued chmod
#pushd cuedchmod
#make
#install -m 4755 lib32/cuedchmod.so $RPM_BUILD_ROOT/lib/libcuedchmod.so.0.1
#install -m 4755 lib64/cuedchmod.so $RPM_BUILD_ROOT/lib64/libcuedchmod.so.0.1
#popd
#pushd $RPM_BUILD_ROOT/lib
#ln -s libcuedchmod.so.0.1 libcuedchmod.so.0
#ln -s libcuedchmod.so.0 libcuedchmod.so
#popd
#pushd $RPM_BUILD_ROOT/lib64
#ln -s libcuedchmod.so.0.1 libcuedchmod.so.0
#ln -s libcuedchmod.so.0 libcuedchmod.so
#popd
%files
#/lib/*
#/lib64/*
/usr/local/%{_lib}/*
/usr/local/bin/*
/usr/local/sbin/*
/usr/local/man/man1/*
#/knoppeng/server/sbin/*
/etc/cron.d/*
%post
# Set up livedvd stuff in sudoers
cat /etc/sudoers | grep -iv livedvd > /etc/sudoers.new
cat >> /etc/sudoers.new <<EOF
Cmnd_Alias   LIVEDVD = /usr/local/bin/livedvd-setup.asroot,\\
                       /usr/local/bin/livedvd-chroot.asroot,\\
                       /usr/local/bin/livedvd-cleanup.asroot
ALL ALL=(root) NOPASSWD: LIVEDVD
EOF
mv /etc/sudoers.new /etc/sudoers
chmod 640 /etc/sudoers
pushd /usr/local/apps/intel/intel_fce_80/lib
popd
/sbin/ldconfig
